org.apache.felix.bundlerepository.impl.wrapper

## Class ResolverWrapper

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.wrapper.ResolverWrapper

All Implemented Interfaces:
  org.osgi.service.obr.Resolver

    public class ResolverWrapper
    extends java.lang.Object
    implements org.osgi.service.obr.Resolver

### Constructor Summary

Constructors
Constructor and Description
`ResolverWrapper(Resolver resolver)`

### Method Summary

Methods
`void` `add(org.osgi.service.obr.Resource resource)`
`void` `deploy(boolean start)`
`org.osgi.service.obr.Resource[]` `getAddedResources()`
`org.osgi.service.obr.Resource[]` `getOptionalResources()`
`org.osgi.service.obr.Requirement[]` `getReason(org.osgi.service.obr.Resource resource)`
`org.osgi.service.obr.Resource[]` `getRequiredResources()`
`org.osgi.service.obr.Resource[]` `getResources(org.osgi.service.obr.Requirement requirement)`
`org.osgi.service.obr.Requirement[]` `getUnsatisfiedRequirements()`
`boolean` `resolve()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResolverWrapper

    public ResolverWrapper(Resolver resolver)

### Method Detail

#### add

    public void add(org.osgi.service.obr.Resource resource)

Specified by:
  `add` in interface `org.osgi.service.obr.Resolver`

#### getAddedResources

    public org.osgi.service.obr.Resource[] getAddedResources()

Specified by:
  `getAddedResources` in interface `org.osgi.service.obr.Resolver`

#### getRequiredResources

    public org.osgi.service.obr.Resource[] getRequiredResources()

Specified by:
  `getRequiredResources` in interface `org.osgi.service.obr.Resolver`

#### getOptionalResources

    public org.osgi.service.obr.Resource[] getOptionalResources()

Specified by:
  `getOptionalResources` in interface `org.osgi.service.obr.Resolver`

#### getReason

    public org.osgi.service.obr.Requirement[] getReason(org.osgi.service.obr.Resource resource)

Specified by:
  `getReason` in interface `org.osgi.service.obr.Resolver`

#### getUnsatisfiedRequirements

    public org.osgi.service.obr.Requirement[] getUnsatisfiedRequirements()

Specified by:
  `getUnsatisfiedRequirements` in interface `org.osgi.service.obr.Resolver`

#### getResources

    public org.osgi.service.obr.Resource[] getResources(org.osgi.service.obr.Requirement requirement)

Specified by:
  `getResources` in interface `org.osgi.service.obr.Resolver`

#### resolve

    public boolean resolve()

Specified by:
  `resolve` in interface `org.osgi.service.obr.Resolver`

#### deploy

    public void deploy(boolean start)

Specified by:
  `deploy` in interface `org.osgi.service.obr.Resolver`